%global debug_package %{nil}
%global _lto_cflags %nil
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}

Name:		intel-qpl
Version:	1.1.0
Release:	%autorelease
Summary:	Intel Query Processing Library

License:	MIT
URL:		https://github.com/intel/qpl
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake >= 3.1
BuildRequires:	gcc-c++
BuildRequires:	libuuid-devel
BuildRequires:	nasm

# C header file library for x86 processors.
ExclusiveArch:	x86_64

%description
The Intel Query Processing Library (Intel QPL) is an open-source library to 
provide high-performance query processing operations on Intel CPUs. Intel QPL
is aimed to support capabilities of the new Intel In-Memory Analytics 
Accelerator (Intel IAA) available on Next Generation Intel Xeon Scalable 
processors, codenamed Sapphire Rapids processor, such as very high throughput
compression and decompression combined with primitive analytic functions, as 
well as to provide highly-optimized SW fallback on other Intel CPUs.
Intel QPL primarily targets applications such as big-data and in-memory 
analytic databases.
	
%package devel
Summary:	Development files for %{name}
Provides:	%{name}-static = %{version}-%{release}
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	accel-config-libs

%description devel
The %{name}-devel package contains libraries and header files for
applications that use %{name}.

%package static
Summary:	Static libraries for %{name} development

%description static
The %{name}-static package includes static libraries needed
to develop programs that use %{name}.

%prep
%autosetup  -n qpl-%{version}

%build
%cmake \
		-DCMAKE_BUILD_TYPE=Release \
		-DDYNAMIC_LOADING_LIBACCEL_CONFIG=ON \
		-DQPL_BUILD_EXAMPLES=OFF \
		-DQPL_BUILD_TESTS=OFF
%cmake_build

%install
%cmake_install

# Remove installers
rm %{buildroot}%{_bindir}/configs/*
rm %{buildroot}%{_bindir}/scripts/*

%files devel
%license LICENSE
%doc README.md
%{_includedir}/qpl
%{_libdir}/cmake/QPL

%files static
%license LICENSE
%{_libdir}/libqpl.a

%changelog
%autochangelog
